Package com.oracle.truffle.api.instrument.impl

## Class DefaultVisualizer

- java.lang.Object
- - com.oracle.truffle.api.instrument.impl.DefaultVisualizer

All Implemented Interfaces:
  `Visualizer`

    public class DefaultVisualizer
    extends java.lang.Object
    implements Visualizer

### Constructor Summary

Constructors
`DefaultVisualizer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `displayCallTargetName​(CallTarget callTarget)` The name of the method.
`java.lang.String` `displayIdentifier​(FrameSlot slot)` Converts a slot identifier in the guest language to a display string.
`java.lang.String` `displayMethodName​(Node node)` Describes the name of the method containing a node.
`java.lang.String` `displaySourceLocation​(Node node)` A short description of a source location in terms of source + line number.
`java.lang.String` `displayValue​(ExecutionContext context, java.lang.Object value)` Converts a value in the guest language to a display string.
`ASTPrinter` `getASTPrinter()` Gets a printer for Truffle ASTs, possibly specialized to be helpful for a specific guest language implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultVisualizer

    public DefaultVisualizer()

### Method Detail

#### getASTPrinter

    public ASTPrinter getASTPrinter()

Description copied from interface: `Visualizer`
Gets a printer for Truffle ASTs, possibly specialized to be helpful for a specific guest language implementation.

Specified by:
  `getASTPrinter` in interface `Visualizer`

#### displaySourceLocation

    public java.lang.String displaySourceLocation​(Node node)

Description copied from interface: `Visualizer`
A short description of a source location in terms of source + line number.

Specified by:
  `displaySourceLocation` in interface `Visualizer`

#### displayMethodName

    public java.lang.String displayMethodName​(Node node)

Description copied from interface: `Visualizer`
Describes the name of the method containing a node.

Specified by:
  `displayMethodName` in interface `Visualizer`

#### displayCallTargetName

    public java.lang.String displayCallTargetName​(CallTarget callTarget)

Description copied from interface: `Visualizer`
The name of the method.

Specified by:
  `displayCallTargetName` in interface `Visualizer`

#### displayValue

    public java.lang.String displayValue​(ExecutionContext context,
                                         java.lang.Object value)

Description copied from interface: `Visualizer`
Converts a value in the guest language to a display string.

Specified by:
  `displayValue` in interface `Visualizer`

#### displayIdentifier

    public java.lang.String displayIdentifier​(FrameSlot slot)

Description copied from interface: `Visualizer`
Converts a slot identifier in the guest language to a display string.

Specified by:
  `displayIdentifier` in interface `Visualizer`